ccodes.net
专注资源分享

UnixBench:vps云服务器跑分脚本测试工具简单使用说明

1、介绍

先简单介绍一下这个工具

unixbench是测试类Unix系统性能的老牌工具,也是常用的基准测试工具。它会执行 11 个单项测试,测试系统各个方面一系列的性能,然后将每个测试结果和一个基准值进行比较,得到一个索引值,所有测试项目的索引值结合在一起形成一个测试分数值,得到一个指数值。指数值越高,性能越好。UnixBench一键执行脚本 ,脚本会自动下载unixbench最新版本,并自动运行根据机器性能,测试执行完大约需要10-30分钟。

Unixbench的主要测试项目有:系统调用、读写、进程、图形化测试、2D、 3D、管道、运算、C库等系统基准性能提供测试数据。

unixbench一个基于系统的基准测试工具,不单纯是CPU 内存 或者磁盘测试工具。测试结果不仅仅取决于硬件,也取决于系统、开发库、甚至是编译器。

2、下载

https://github.com/kdlucas/byte-unixbench/archive/v5.1.3.tar.gz

3、安装

将下载好的压缩包解压缩,阅读README文件,得知如果不需要进行图形测试或者不在图形化界面下测试,则将Makefile文件中GRAPHICS_TEST = defined注释掉~

make (鬼知道我这一步经历了啥)

make 的时候发现它不认识这个命令,~~~

【这里我不大熟悉,可以直接通过 1、切换root用户身份:sudo -s 2、更新安装列表:apt-get update 3、安装make:apt-get install make 】

然后我就想通过yum 来解决不认识make 命令的问题。好吧,yum 一下发现也不认识这个命令~~那么问题来了,不认识yum 咋办

1)首先切换到root用户身份:在终端运行命令 sudo -s

2)然后检测是否安装了build-essential程序包,输入命令:apt-get install build-essential

这个时候发现,并没有这个程序包~fine,那就执行下面两个语句

sudo apt-get update (更新源 )

sudo apt-get install build-essential

———————–做完上面的步骤后,我们就安装了 build-essential

3)安装yum,输入命令:apt-get install yum

A、 这个时候又发现报错了:E: 无法定位软件包”的错误,无法安装。怎么解决呢:

在 etc/apt 的 sources.list 添加镜像源 deb http://archive.ubuntu.com/ubuntu/ trusty main universe restricted multiverse

然后 sudo apt-get update

【这里加几句 vi:i 编辑,:wq 保存退出,:q! 不保存强制退出 ,需用的自取哈哈哈哈哈】

B、重新输入命令:apt-get install yum,现在换了另一种错误:“下列软件包有未满足的依赖关系:yum : 依赖: python-sqlitecachec 但是它将不会被安装.依赖:python-urlgrabber 但是它将不会被安装 E: 无法修正错误,因为您要求某些软件包保持现状,就是它们破坏了软件包间的依赖关系。”

我的解决办法是,缺啥补啥

apt-get install python-sqlitecachec

apt-get install python-urlgrabber

再次,输入命令:apt-get install yum,现在就ok啦

到目前为止,我们的 yum 安装成功啦,回到原题:执行命令:make

4、使用

执行命令:./Run 如果一切正常,应该会出现类似下面的文字,然后等待程序进行测试即可,这个过程可能比较漫长,请耐心等待~

除了直接在命令行输出测试结果之外(如上图),还会在 result 目录下生成一个 HTML 格式的报告,可以将其拷贝至本地。

5、测试结果分析

测试过程中每个项目后面会有1 2 3 4 5 6 7 8 9 10 数字,意思是进行了10组测试,测试过程中部分内容及解释如下:

没有账号? 忘记密码?

社交账号快速登录